Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596151 - enable migration for cpu pinned VMs
Summary: enable migration for cpu pinned VMs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.2.5
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.2.6
: ---
Assignee: Sharon Gratch
QA Contact: Liran Rotenberg
URL:
Whiteboard:
Depends On:
Blocks: 1596152 1613471
TreeView+ depends on / blocked
 
Reported: 2018-06-28 10:33 UTC by Michal Skrivanek
Modified: 2018-09-03 15:07 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-4.2.6.4
Doc Type: Enhancement
Doc Text:
Remove the config parameter called "CpuPinMigrationEnabled" (appears on DB in vdc_options table) in downstream and upstream installations. This change was done to support High Performance VM live migration (BZ 1457250)
Clone Of:
: 1596152 (view as bug list)
Environment:
Last Closed: 2018-09-03 15:07:32 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+
rule-engine: ovirt-4.3+
michal.skrivanek: devel_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 93802 master MERGED engine: remove CpuPinMigrationEnabled config value 2018-08-22 08:55:53 UTC
oVirt gerrit 93862 ovirt-engine-4.2 MERGED engine: remove CpuPinMigrationEnabled config value 2018-08-23 12:07:35 UTC

Description Michal Skrivanek 2018-06-28 10:33:20 UTC
ḹet's enable migration for pinned VMs, required HP VMs migration - bug 1571024

Comment 1 Michal Skrivanek 2018-06-28 10:34:48 UTC
the option is not effective anyway as there are other frontend validations

Comment 3 Yaniv Kaul 2018-06-29 08:34:25 UTC
This seems to be a RFE (but lacks correct keywords), on the wrong component?

Comment 4 Michal Skrivanek 2018-06-29 08:43:00 UTC
no, that's just a removal of annoying/useless config option in rhvm-setup-plugins blocking the actual RFE for HP VM live migration

Comment 5 Sharon Gratch 2018-08-19 14:11:56 UTC
This BZ solution was changed to totally removing the "CpuPinMigrationEnabled" config value from vdc_options table for upstream & downstream. 
This config value is not needed anymore due to supporting bug 1457250.

Comment 6 Liran Rotenberg 2018-08-26 12:33:40 UTC
Verified on:
ovirt-engine-4.2.6.4-0.0.master.20180823141941.gitb3a5b18.el7.noarch
ovirt-engine-setup-base-4.2.6.4-0.0.master.20180823141941.gitb3a5b18.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.2.6.4-0.0.master.20180823141941.gitb3a5b18.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.2.6.4-0.0.master.20180823141941.gitb3a5b18.el7.noarch


Steps:
1. Connect to the engine via SSH
2. Run:
# su - postgres
# psql -d engine
engine=# select * from vdc_options where option_name = 'CpuPinMigrationEnabled';

Results:
 option_id | option_name | option_value | version 
-----------+-------------+--------------+---------
(0 rows)

Comment 7 Raz Tamir 2018-08-28 19:30:34 UTC
QE verification bot: the bug was verified upstream


Note You need to log in before you can comment on or make changes to this bug.